Module
Inhalte
Index 🔎︎

# Funktion CBool

Konvertiert einen Zeichenkettenvergleich oder einen Vergleich numerischer Werte in einen boolschen Ausdruck oder wandelt einen einzelnen numerischen Ausdruck in einen boolschen Ausdruck um.

## Syntax:

    CBool (Ausdruck1 {= | <> | < | > | <= | >=} Ausdruck2) oder CBool (Zahl)

## Rückgabewert:

Bool

## Parameter:

Ausdruck1, Ausdruck2: Beliebige zu vergleichende numerische oder Zeichenkettenausdrücke. Sind die Ausdrücke identisch, so gibt die Funktion CBool den Wert True zurück, ansonsten False.

Zahl: Ein beliebiger zu konvertierende numerischer Ausdruck. Wenn der Ausdruck 0 ergibt, wird False zurückgegeben, ansonsten True.

Im folgenden Beispiel wird die Funktion CBool verwendet, um den Rückgabewert der Funktion Instr auszuwerten. Die Funktion überprüft, ob der vom Benutzer eingegebene Satz das Wort "und" enthält.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCBool

    Dim sText As String

        sText = InputBox("Bitte geben Sie einen kurzen Satz ein:")

        ' Prüft, ob in dem vom Anwender eingegebenen Satz das Wort »und« vorkommt.

        ' Anstatt der Befehlszeile

        ' If Instr(Eingabe, "und")<>0 Then...

        ' wird die CBool-Funktion wie folgt verwendet:

        If CBool(Instr(sText, "und")) Then

            MsgBox "In dem von Ihnen eingegebenen Satz kommt das Wort »und« vor!"

        EndIf

    End Sub